<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h6 class="modal-title" id="myUnitShipmentReceiptLabel" jhiTranslate="mpmApp.unitShipmentReceipt.home.createOrEditLabel">Create or edit a Unit Shipment Receipt</h6>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clear()">&times;</button>
    </div>
    <div class="card-deck" style="margin: 10px;">
        <div class="card">
			<div class="card-body">
                <jhi-alert-error></jhi-alert-error>
                <div class="form-group" [hidden]="!unitShipmentReceipt.idReceipt">
                    <label for="id" jhiTranslate="global.field.id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" [(ngModel)]="unitShipmentReceipt.idReceipt" readonly />
                </div>
                <!-- <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.unitShipmentReceipt.idProduct" for="field_idProduct">Id Product</label>
                    <input type="text" class="form-control" name="idProduct" id="field_idProduct"
                        [(ngModel)]="unitShipmentReceipt.idProduct" />
                </div> -->
                <div class="form-group">
                    <label for="field_product">Product</label>
                    <p-dropdown [options]="listMotors" styleClass="form-control" autoWidth="false"
                        [style]="{'width':'100%'}"
                        [(ngModel)]="selectedMotor" id="field_product" name="product"
                        [filter]="true" filterBy="label" 
                        (onChange)="selectMotor(true)"
                    ></p-dropdown>
                </div>
                <!-- <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.unitShipmentReceipt.idFeature" for="field_idFeature">Id Feature</label>
                    <input currencyMask class="form-control" name="idFeature" id="field_idFeature"
                        [(ngModel)]="unitShipmentReceipt.idFeature"
                        [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                         />
                </div> -->
                <div class="form-group">
                    <label for="field_color">color</label>
                    <select class="form-control" id="field_color" name="color" [(ngModel)]="unitShipmentReceipt.idFeature" >
                        <option [ngValue]="null">Please Select</option>
                        <option [ngValue]="featureOption.idFeature" *ngFor="let featureOption of features">{{featureOption.refKey}} - {{featureOption.description}}</option>
                    </select>
                    <small class="form-text text-muted">Pilih product untuk menampilkan pilihan warna</small>
                </div>
                <div class="form-group" [hidden]="!unitShipmentReceipt.receiptCode">
                    <label class="form-control-label" jhiTranslate="mpmApp.unitShipmentReceipt.receiptCode" for="field_receiptCode">Receipt Code</label>
                    <input type="text" class="form-control" name="receiptCode" id="field_receiptCode"
                        [(ngModel)]="unitShipmentReceipt.receiptCode" />
                </div>
                <div class="form-group" [hidden]="!unitShipmentReceipt.qtyAccept">
                    <label class="form-control-label" jhiTranslate="mpmApp.unitShipmentReceipt.qtyAccept" for="field_qtyAccept">Qty Accept</label>
                    <input currencyMask class="form-control" name="qtyAccept" id="field_qtyAccept"
                        [(ngModel)]="qtyAccept"
                        [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                         />
                </div>
                <div class="form-group" [hidden]="!unitShipmentReceipt.receiptCode">
                    <label class="form-control-label" jhiTranslate="mpmApp.unitShipmentReceipt.qtyReject" for="field_qtyReject">Qty Reject</label>
                    <input currencyMask class="form-control" name="qtyReject" id="field_qtyReject"
                        [(ngModel)]="unitShipmentReceipt.qtyReject"
                        [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                         />
                </div>
                <!-- <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.unitShipmentReceipt.itemDescription" for="field_itemDescription">Item Description</label>
                    <input type="text" class="form-control" name="itemDescription" id="field_itemDescription"
                        [(ngModel)]="unitShipmentReceipt.itemDescription" />
                </div> -->
                <!-- <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.unitShipmentReceipt.dateReceipt" for="field_dateReceipt">Date Receipt</label>
                    <div class="input-group">
                        <p-calendar inputId="field_dateReceipt" name="input_dateReceipt" [(ngModel)]="unitShipmentReceipt.dateReceipt"
                            dateFormat="dd-mm-yy" [showTime]="true" hourFormat="24" [showSeconds]="true"
                            [showIcon]="true"></p-calendar>
                    </div>
                </div> -->
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.unitShipmentReceipt.idFrame" for="field_idFrame">Id Frame</label>
                    <input type="text" class="form-control" name="idFrame" id="field_idFrame"
                        [(ngModel)]="unitShipmentReceipt.idFrame" />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.unitShipmentReceipt.idMachine" for="field_idMachine">Id Machine</label>
                    <input type="text" class="form-control" name="idMachine" id="field_idMachine"
                        [(ngModel)]="unitShipmentReceipt.idMachine" />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.unitShipmentReceipt.yearAssembly" for="field_yearAssembly">Year Assembly</label>
                    <input currencyMask class="form-control" name="yearAssembly" id="field_yearAssembly"
                        [(ngModel)]="unitShipmentReceipt.yearAssembly"
                        [options]="{ prefix: '', thousands: '', decimal: '', precision: '0' }"
                         />
                </div>
                <!-- <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.unitShipmentReceipt.unitPrice" for="field_unitPrice">Unit Price</label>
                    <input currencyMask class="form-control" name="unitPrice" id="field_unitPrice"
                        [(ngModel)]="unitShipmentReceipt.unitPrice"
                        [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                         />
                </div> -->
                <!-- <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.unitShipmentReceipt.acc1" for="field_acc1">Acc 1</label>
                    <div class="input-group">
                        <label class="form-check-label">
                            <p-checkbox name="input_acc1" label="{{'mpmApp.unitShipmentReceipt.acc1'| translate}}" styleClass="form-check-input"
                                [(ngModel)]="unitShipmentReceipt.acc1" binary="true"></p-checkbox>
                        </label>
                    </div>
                </div> -->
                <!-- <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.unitShipmentReceipt.acc2" for="field_acc2">Acc 2</label>
                    <div class="input-group">
                        <label class="form-check-label">
                            <p-checkbox name="input_acc2" label="{{'mpmApp.unitShipmentReceipt.acc2'| translate}}" styleClass="form-check-input"
                                [(ngModel)]="unitShipmentReceipt.acc2" binary="true"></p-checkbox>
                        </label>
                    </div>
                </div> -->
                <!-- <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.unitShipmentReceipt.acc3" for="field_acc3">Acc 3</label>
                    <div class="input-group">
                        <label class="form-check-label">
                            <p-checkbox name="input_acc3" label="{{'mpmApp.unitShipmentReceipt.acc3'| translate}}" styleClass="form-check-input"
                                [(ngModel)]="unitShipmentReceipt.acc3" binary="true"></p-checkbox>
                        </label>
                    </div>
                </div> -->
                <!-- <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.unitShipmentReceipt.acc4" for="field_acc4">Acc 4</label>
                    <div class="input-group">
                        <label class="form-check-label">
                            <p-checkbox name="input_acc4" label="{{'mpmApp.unitShipmentReceipt.acc4'| translate}}" styleClass="form-check-input"
                                [(ngModel)]="unitShipmentReceipt.acc4" binary="true"></p-checkbox>
                        </label>
                    </div>
                </div> -->
                <!-- <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.unitShipmentReceipt.acc5" for="field_acc5">Acc 5</label>
                    <div class="input-group">
                        <label class="form-check-label">
                            <p-checkbox name="input_acc5" label="{{'mpmApp.unitShipmentReceipt.acc5'| translate}}" styleClass="form-check-input"
                                [(ngModel)]="unitShipmentReceipt.acc5" binary="true"></p-checkbox>
                        </label>
                    </div>
                </div> -->
                <!-- <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.unitShipmentReceipt.acc6" for="field_acc6">Acc 6</label>
                    <div class="input-group">
                        <label class="form-check-label">
                            <p-checkbox name="input_acc6" label="{{'mpmApp.unitShipmentReceipt.acc6'| translate}}" styleClass="form-check-input"
                                [(ngModel)]="unitShipmentReceipt.acc6" binary="true"></p-checkbox>
                        </label>
                    </div>
                </div> -->
                <!-- <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.unitShipmentReceipt.acc7" for="field_acc7">Acc 7</label>
                    <div class="input-group">
                        <label class="form-check-label">
                            <p-checkbox name="input_acc7" label="{{'mpmApp.unitShipmentReceipt.acc7'| translate}}" styleClass="form-check-input"
                                [(ngModel)]="unitShipmentReceipt.acc7" binary="true"></p-checkbox>
                        </label>
                    </div>
                </div> -->
                <!-- <div class="form-group" *ngIf="idShipmentPackage === undefined">
                    <label class="form-control-label" jhiTranslate="mpmApp.unitShipmentReceipt.shipmentPackage" for="field_shipmentPackage">Shipment Package</label>
                    <select class="form-control" id="field_shipmentPackage" name="shipmentPackage" [(ngModel)]="unitShipmentReceipt.shipmentPackageId" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="shipmentPackageOption.idPackage" *ngFor="let shipmentPackageOption of shipmentpackages; trackBy: trackShipmentPackageById">{{shipmentPackageOption.id}}</option>
                    </select>
                </div> -->
                <!-- <div class="form-group" *ngIf="idShipmentItem === undefined">
                    <label class="form-control-label" jhiTranslate="mpmApp.unitShipmentReceipt.shipmentItem" for="field_shipmentItem">Shipment Item</label>
                    <select class="form-control" id="field_shipmentItem" name="shipmentItem" [(ngModel)]="unitShipmentReceipt.shipmentItemId" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="shipmentItemOption.idShipmentItem" *ngFor="let shipmentItemOption of shipmentitems; trackBy: trackShipmentItemById">{{shipmentItemOption.id}}</option>
                    </select>
                </div> -->
                <!-- <div class="form-group" *ngIf="idOrderItem === undefined" [hidden]="!unitShipmentReceipt.orderItemId">
                    <label class="form-control-label" jhiTranslate="mpmApp.unitShipmentReceipt.orderItem" for="field_orderItem">Order Item</label>
                    <select class="form-control" id="field_orderItem" name="orderItem" [(ngModel)]="unitShipmentReceipt.orderItemId" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="orderItemOption.idOrderItem" *ngFor="let orderItemOption of orderitems; trackBy: trackOrderItemById">{{orderItemOption.id}}</option>
                    </select>
                </div> -->
            </div>
        </div>
    </div>
    <div class="modal-footer">
        <button pButton type="button" data-dismiss="modal" (click)="clear()"
            label="{{'entity.action.cancel' | translate}}"
            icon="fa-ban"
            class="ui-button-danger flat-label-button">
        </button>
        <button pButton type="submit" [disabled]="editForm.form.invalid || isSaving"
            label="{{'entity.action.save' | translate}}"
            icon="fa-save"
            class="ui-button-primary flat-label-button">
        </button>
    </div>
</form>
